#!/usr/bin/python
##### Smerni diagram Huygensovega izvora v kartezicnih koordinatah - S53MV 12.12.2017 #####

import math	#uporabljene funkcije

k=0.01		#korak risanja v radianih

x=[]		#polja za risanje grafa
z=[]

t=0.0		#kot theta v radianih
while t<=math.pi:
	x=x+[t]			#dodaj tocko v risbo
	f=1.0+math.cos(t)
	z=z+[f]
	t=t+k			#povecaj t za korak

import matplotlib.pyplot as plt		#risanje grafa funkcije
plt.plot(x,z,'b-',lw=3)
plt.axis([0.0,math.pi,0.0,2.1])
plt.xticks([0.0,math.pi/4,math.pi/2,3*math.pi/4,math.pi])
plt.show()

#konec programa

